<?php
//SE FABRICANTE FOR TODOS
if ($fabricante == 'TODOS')
{	//NAO BUSCAR POR FABRICANTE DEIXANDO A VARIAVEL VAZIA
	$myfabricante = "AND fabricante IS NOT NULL";
}else{
	//SENAO PESQUISAR POR FABRICANTE
	$myfabricante = "AND fabricante = '$fabricante'";
}

//SE FOR MOSTRAR APENAS PRODUTOS COM DESCONTO
if($mostrarprod == 'sim')
{	//BUSCAR APENAS DESCONTO MAIOR QUE ZERO
	$mydesconto = "AND desconto >0";

}else{
	//SENAO DEIXAR VARIAVEL VAZIA PARA BUSCAR TODOS
	$mydesconto = "";
}